#include <iostream>
using namespace std;
#include<cmath>
#include<algorithm>
#include<cstring>
#include <bits/stdc++.h>




int main(int argc, char** argv) 
{
	ios::sync_with_stdio(false);
    cin.tie(0);
    
    int n;
    double a[n];
	double p[n];
	
	cin>>n;
	for(int i=0;i<n;i++)
	{
		cin>>a[i]>>p[i];
	}
	
    double maxprocenata=0;
    double max=0;

	for(int i=0;i<n;i++)
	{
		int suma=0;
		for(int j=0;j<n;j++)
		{
			if(p[j]>=p[i])
			{
				suma+=p[i]*a[i];
			}
			if(suma>max)
			{
				max=suma;
				maxprocenata=p[i];
			}
		}
	}
	cout<<maxprocenata;
}